Page MenuHomePhabricator

Make Wikibase-related JS libraries npm packages and include them as git submodules in Wikibase.git instead of installing as PHP libs using Composer
Closed, ResolvedPublic

Description

This task executes the decision made at T174922: Decide what to do with Wikibase JS-only libraries regarding the build/deployment of Wikidata code

Libraries to consider:

  • data-values/javascript
  • data-values/value-view
  • wikibase/data-model-javascript
  • wikibase/javascript-api
  • wikibase/serialization-javascript
  • data-values/data-types (JS part)

Related Objects

StatusAssignedTask
Resolved Addshore
Resolved Addshore
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
InvalidNone
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek

Event Timeline

WMDE-leszek renamed this task from Make Wikibase-related JS libraries npm packages and include them as git submodules in Wikibase.git to Make Wikibase-related JS libraries npm packages and include them as git submodules in Wikibase.git instead of installing as PHP libs using Composer.
WMDE-leszek removed WMDE-leszek as the assignee of this task.Oct 2 2017, 4:02 PM
Addshore closed this task as Resolved.Nov 2 2017, 1:36 PM
WMDE-leszek updated the task description. (Show Details)Nov 2 2017, 1:36 PM
Addshore updated the task description. (Show Details)Nov 14 2017, 4:02 PM
Addshore closed this task as Resolved.
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 14 2017, 4:02 PM